*Project: 		Replication package
*Programmer: 	Allegretto, Nadler and updated by Claire Montialoux (claire.montialoux@berkeley.edu)
*Creation date:	02/10/2015
*last update: 	11/18/2015 
*updated Feb 2017 by Anna Godoy so pgm matches the final ILR Review published papar along w/the Appendicies 

*Defining librairies and datasets to use: 				
clear
set more off

*Increase the matsize from 400 to 800 in order to be able to run the Table 7 c.2 regression
set matsize 800 

*Enter the current date
global date = "2-8-2017"

*global macro
global file_path "K:\gsr\SJ Study\Analysis\Robustness checks\ReplicationSJ\XLS\SPD-Allegretto-Reich(2017)-Results-$date"


*Defining librairies and data sets
local builddata "K:\gsr\SJ Study\Analysis\Robustness checks\ReplicationSJ\DATA\"
local outlog 	"K:\gsr\SJ Study\Analysis\Robustness checks\ReplicationSJ\"
local graphdir "K:\gsr\SJ Study\Analysis\Robustness checks\ReplicationSJ\GRAPHS\"
local universe_file "K:\gsr\SJ Study\Analysis\Robustness checks\ReplicationSJ\DATA\Master Santa Clara County Restaurants_2015_4_8.csv"
local qcew_file "K:\gsr\SJ Study\Analysis\Robustness checks\ReplicationSJ\DATA\QCEW_Regression_1.dta"

capture log close

cd "`outlog'"     
cd "`builddata'"


*--------------------------------------------------------------------------------------%
*Table 1: All Santa Clara County restaurants compared to our sample
*--------------------------------------------------------------------------------------%
use	"`qcew_file'"

	*Column (1), Wages
	
		*Restaurant industry
		reg logwage after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==722 & inlist(month,1,4,7,10), robust 
			*create matrix to store estimates from the regression
			mat tab1_col1_1 = 1, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col1_1="Restaurant industry" 
			mat colnames tab1_col1_1= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"	
			matrix list tab1_col1_1
	
		*Full- and limited-service
		reg logwage after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==51113 & inlist(month,1,4,7,10), robust 
			*create matrix to store estimates from the regression
			mat tab1_col1_2 = 1, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col1_2="Full- and limited-service" 
			mat colnames tab1_col1_2= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"	
			matrix list tab1_col1_2
			
		*Full-service only
		reg logwage after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==722511 & inlist(month,1,4,7,10), robust 
			*create matrix to store estimates from the regression
			mat tab1_col1_3 = 1, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col1_3="Full-service only" 
			mat colnames tab1_col1_3= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"			

		*Limited-service only
		reg logwage after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==722513 & inlist(month,1,4,7,10), robust 
			*create matrix to store estimates from the regression
			mat tab1_col1_4 = 1, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col1_4="Limited-service only" 
			mat colnames tab1_col1_4= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"
			
			
		*Compile matrices of results for column (1)		
		mat tab1_col1 = tab1_col1_1\tab1_col1_2\tab1_col1_3\tab1_col1_4	
		matrix list tab1_col1
		

		
	*Column (2), Employment
	
		*Restaurant industry
		reg logemp after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==722 & inlist(quarter,1,2,3,4), robust 
			*create matrix to store estimates from the regression
			mat tab1_col2_1 = 2, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col2_1="Restaurant industry" 
			mat colnames tab1_col2_1= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"	
			matrix list tab1_col2_1
	
		*Full- and limited-service
		reg logemp after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==51113 & inlist(quarter,1,2,3,4), robust 
			*create matrix to store estimates from the regression
			mat tab1_col2_2 = 2, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col2_2="Full- and limited-service" 
			mat colnames tab1_col2_2= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"	
			matrix list tab1_col2_2
			
		*Full-service only
		reg logemp after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==722511 & inlist(quarter,1,2,3,4), robust 
			*create matrix to store estimates from the regression
			mat tab1_col2_3 = 2, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col2_3="Full-service only" 
			mat colnames tab1_col2_3= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"			

		*Limited-service only
		reg logemp after_raise sj after_raise_sj if inlist(areaid, 1, 3) & code==722513 & inlist(month,1,4,7,10), robust 
			*create matrix to store estimates from the regression
			mat tab1_col2_4 = 2, _b[after_raise_sj], _se[after_raise_sj],(exp(_b[after_raise_sj])-1)/0.25, _se[after_raise_sj]/0.25, e(N), e(r2)
			mat rownames tab1_col2_4="Limited-service only" 
			mat colnames tab1_col2_4= "Column" "b" "se" "elasticity" "se_elast" "N" "R2"
			
			
		*Compile matrices of results for column (2)		
		mat tab1_col2 = tab1_col2_1\tab1_col2_2\tab1_col2_3\tab1_col2_4	
		matrix list tab1_col2

*Compile the results from columns (1) to (2) in one matrix
	mat tab1 = (tab1_col1,tab1_col2)
	matrix list tab1	
*Output the results of table 6 in excel
	putexcel A1=matrix(tab1, names) using "$file_path.xlsx" , sheet ("RES-table1") modify			
		

*--------------------------------------------------------------------------------------%
*Table B2: All Santa Clara County restaurants compared to our sample
*--------------------------------------------------------------------------------------%

*Creation of the master file - merging the sample data and the analysis data
*Import the analysis data
tempfile analysis_file
	use build
	keep uid sj
	duplicates drop
	sort uid

	save `analysis_file'


*Import the sample data	
drop _all
import delimited using "`universe_file'"
	
	*drop tabulations at bottom
	drop if uniqueid>=.
	gen uid=uniqueid

	*create sj indicator
	gen sjmaster=city=="SAN JOSE"

	*code employee count
	tab description_number,m
	gen emp05 		= regexm(description_number,"0-5") ==1 |regexm(description_number,"0 to 5") ==1
	gen emp625 		= regexm(description_number,"6-25")==1 |regexm(description_number,"6 to 25")==1
	gen emp26p 		= regexm(description_number,"26+") ==1
	gen empmissing 	= (emp05==0&emp625==0&emp26p==0)
	
	label var emp05 "=1 if 0-5 employees"
	label var emp625 "=1 if 6-25 employees"
	label var emp26p "=1 if 26+ employees"
	label var empmissing "=1 if missing employee count"
	
	sort uid 
	
	*preserve
	
*Merge the two datasets
merge uid using `analysis_file', _merge(_mergesample)

	tab entered _mergesample,m

	*Entered and _merge==3 should be the same
	assert _mergesample!=2
	assert _mergesample==3 if entered=="1"
	assert entered=="1" if _mergesample==3

	*All _merged==3 should be in universe
	tab universe _mergesample,m
	assert universe=="7" if _mergesample==3

	*sj (from sample) and sjmastaer should match
	assert sjmaster==1 if sj==1
	assert sj==1 if sjmaster==1&sj<.

	gen sample=_mergesample==3
	label var sample "=1 if in price sample"

	*drop obs outside universe
	keep if universe=="7"
	

*Table B2

	*Column (1), Universe
	*In San Jose
		*A. Distribution
		ta sjmaster if sjmaster==1, matcell (tab3A_col1_1)
		*B. Distribution by employment size bins
		ta emp05  if sjmaster==1, matcell (tab3B_col1_1)
		ta emp625 if sjmaster==1, matcell (tab3B_col1_2)
		ta emp26p if sjmaster==1, matcell (tab3B_col1_3)
		
	* Outside San Jose
		*A. Distribution
		ta sjmaster if sjmaster==0, matcell (tab3A_col1_2)
		*B. Distribution by employment size bins
		ta emp05  if sjmaster==0, matcell (tab3B_col1_4)
		ta emp625 if sjmaster==0, matcell (tab3B_col1_5)
		ta emp26p if sjmaster==0, matcell (tab3B_col1_6)
		
	* Compile matrices of results for column (1)
		
		mat tab3_col1 =  1, tab3A_col1_1[1,1]/(tab3A_col1_2[1,1]+tab3A_col1_1[1,1])\  /// 
						 1, tab3A_col1_1[1,1]\  /// 
						 1, tab3A_col1_2[1,1]/(tab3A_col1_2[1,1]+tab3A_col1_1[1,1])\  /// 
						 1, tab3A_col1_2[1,1]\  /// 
						 1, tab3B_col1_1[2,1]/(tab3B_col1_1[2,1]+tab3B_col1_1[1,1])\  /// 
						 1, tab3B_col1_2[2,1]/(tab3B_col1_2[2,1]+tab3B_col1_2[1,1])\  /// 
						 1, tab3B_col1_3[2,1]/(tab3B_col1_3[2,1]+tab3B_col1_3[1,1])\  /// 
						 1, tab3B_col1_4[2,1]/(tab3B_col1_4[2,1]+tab3B_col1_4[1,1])\  /// 
						 1, tab3B_col1_5[2,1]/(tab3B_col1_5[2,1]+tab3B_col1_5[1,1])\  /// 
						 1, tab3B_col1_6[2,1]/(tab3B_col1_6[2,1]+tab3B_col1_6[1,1])
	
						 
		mat rownames tab3_col1 = "Share in SJ" "N in SJ" "Share outside SJ" "N outside SJ" "1-7 in SJ" "8-39 in SJ" "40+ in SJ" "1-7 outside SJ" "8-39 outside SJ" "40+ outside SJ"
		mat colnames tab3_col1 = "Column" "Stat"
		matrix list tab3_col1
	
	
	*Column (2), Sample
	*In San Jose
		*A. Distribution
		ta sj 	  if sj==1, matcell (tab3A_col2_1)
		*B. Distribution by employment size bins
		ta emp05  if sj==1, matcell (tab3B_col2_1)
		ta emp625 if sj==1, matcell (tab3B_col2_2)
		ta emp26p if sj==1, matcell (tab3B_col2_3)
		
	* Outside San Jose
		*A. Distribution
		ta sj 	  if sj==0, matcell (tab3A_col2_2)
		*B. Distribution by employment size bins
		ta emp05  if sj==0, matcell (tab3B_col2_4)
		ta emp625 if sj==0, matcell (tab3B_col2_5)
		ta emp26p if sj==0, matcell (tab3B_col2_6)
		
	* Compile matrices of results for column (2)
		
		mat tab3_col2 =  2, tab3A_col2_1[1,1]/(tab3A_col2_2[1,1]+tab3A_col2_1[1,1])\  /// 
						 2, tab3A_col2_1[1,1]\  /// 
						 2, tab3A_col2_2[1,1]/(tab3A_col2_2[1,1]+tab3A_col2_1[1,1])\  /// 
						 2, tab3A_col2_2[1,1]\  /// 
						 2, tab3B_col2_1[2,1]/(tab3B_col2_1[2,1]+tab3B_col2_1[1,1])\  /// 
						 2, tab3B_col2_2[2,1]/(tab3B_col2_2[2,1]+tab3B_col2_2[1,1])\  /// 
						 2, tab3B_col2_3[2,1]/(tab3B_col2_3[2,1]+tab3B_col2_3[1,1])\  /// 
						 2, tab3B_col2_4[2,1]/(tab3B_col2_4[2,1]+tab3B_col2_4[1,1])\  /// 
						 2, tab3B_col2_5[2,1]/(tab3B_col2_5[2,1]+tab3B_col2_5[1,1])\  /// 
						 2, tab3B_col2_6[2,1]/(tab3B_col2_6[2,1]+tab3B_col2_6[1,1])
	
						 
		mat rownames tab3_col2 = "Share in SJ" "N in SJ" "Share outside SJ" "N outside SJ" "1-7 in SJ" "8-39 in SJ" "40+ in SJ" "1-7 outside SJ" "8-39 outside SJ" "40+ outside SJ"
		mat colnames tab3_col2 = "Column" "Stat"
		matrix list tab3_col2
		
*Compile the results from columns (1) to (7) in one matrix
	mat tab3 = (tab3_col1,tab3_col2)
		
*Output the results of table 6 in excel
	putexcel A1=matrix(tab3, names) using "$file_path.xlsx" , sheet ("App B2") modify	
	
 
*--------------------------------------------------------------------------------------%
*Creation of dependent and independent variables
*--------------------------------------------------------------------------------------%
clear
use build
*1.1 Creation of dependent variables
	*Check that pre_price and post_price are positive and that all observations have grubhub==0
	assert 	pre_price>0 
	assert 	post_price>0
	ta 		grubhub
	
	*Creation of two versions of log(diff avg price):
	*(1) Include new and removed items: just use the original pre_price and post_price

	*(2) Exclude new and removed items
	gen 		pre_priceM 		= pre_price 	if pre_price<.&post_price<.
	gen 		post_priceM 	= post_price 	if pre_price<.&post_price<.
	gen 		removedprice 	= pre_price 	if post_price>=.
	gen 		newprice 		= post_price 	if pre_price>=.
	
	gen 		price_diff 		= post_priceM-pre_priceM
	gen 		ind_item_wpinc 	= price_diff>0 & price_diff!=.
	
	label var 	pre_priceM 		"pre-price, excl. removed items"
	label var 	post_priceM 	"post-price, excl. new items"
	label var 	removedprice 	"pre_price of removed item"
	label var 	newprice 		"post_price of new item"
	label var 	price_diff		"difference between post price and pre-price"
	label var 	ind_item_wpinc	"1 if there is a difference in the prices pre and post, 0 otherwise"

	
	*Create distance to competitor on other side of border (combination of values from distout2SJ and distSJ2out)
	gen 		distcompetitor = distout2SJ if sj==0
	replace 	distcompetitor = distSJ2out if sj==1
	assert 		distcompetitor<.
	label var 	distcompetitor "distance to competitor on the other side of border (mi)"

	*number of items as counted with the number of prices listed BEFORE the reform in March 2013
	egen  	 nb_items  			 = count(pre_price>0), by(uid) 
	egen 	 nb_items_wprice_inc = count (pre_price>0) if price_diff>0, by(uid)
	replace  nb_items_wprice_inc = 0 if price_diff<=0
	
	
	
	collapse 	(mean) 	pre_price post_price pre_priceM post_priceM removedprice newprice sj ls fs chain ///
						emp05 emp625 emp26p empmissing distcity restdensity distcompetitor chainid ind_item_wpinc ///
				(count) nb_items=pre_price nb_items_M=pre_priceM nb_items_post=post_price numpost=post_price ///
				(sum) 	numremoved=removed numnew=new, by(uid dataset)
	
	
	*Difference in prices before and after the reform, excl. new and removed items
	gen difflog = log(post_priceM)-log(pre_priceM)
	
*1.2 Creation of independent variables	

	*Creation of price characteristics for table 5
	gen priceup		= post_price > pre_price
	gen pricedn		= post_price < pre_price
	gen pricesame	= post_price == pre_price

	gen priceupM	= post_priceM > pre_priceM
	gen pricednM	= post_priceM < pre_priceM
	gen pricesameM	= post_priceM == pre_priceM
	
	label var priceup 	 "Restaurant with a price increase between the two survey rounds, incl. new and removed items"	
	label var pricedn	 "Restaurant with a price decrease between the two survey rounds, incl. new and removed items"
	label var pricesame  "Restaurant with no price change between the two survey rounds, incl. new and removed items"
	label var priceupM	 "Restaurant with a price increase between the two survey rounds, excl. new and removed items"
	label var pricednM	 "Restaurant with a price decrease between the two survey rounds, excl. new and removed items" 
	label var pricesameM "Restaurant with no price change between the two survey rounds, excl. new and removed items"
					
					
	*Creation of interaction variables used in tables 6 and 7 
	gen sjXfs = sj*fs
	gen sjXchain = sj*chain
	gen sjXemp625 = sj*emp625
	gen sjXemp26p = sj*emp26p
	gen sjXempmissing = sj*empmissing
	gen sjXdistcity = sj*distcity
	gen sjXrestdensity = sj*restdensity
	
	*Creation of the number of items bins
	*create the 4 bins for the number of items
	
	gen 	class_nb_items = 0
	replace class_nb_items = 1 if (nb_items>=15 & nb_items <=40)
	replace class_nb_items = 2 if (nb_items>=41 & nb_items <=66)
	replace class_nb_items = 3 if (nb_items>=67 & nb_items <=105)
	replace class_nb_items = 4 if (nb_items>=106 & nb_items <=407)
		
	
	*creates the inverse of the number of items per restaurant
	gen inv_nb_items = 0 
	replace inv_nb_items=1/nb_items if nb_items>0
	
	*tab class_numpre
	*class_numpre takes values from 1 to 4. No occurence of class_numpre=0	

	*Creation of the employment bins 
	gen 	emp625_recode = emp625
	recode  emp625_recode (1=2) (0=0) 
	
	*make sure that emp625 and emp625_recode have the same frequencies
	tab emp625
	tab emp625_recode
	
	gen 	emp26p_recode = emp26p
	recode  emp26p_recode (1=3) (0=0) 
	
	*Make sure that emp625 and emp625_recode have the same frequencies
	tab emp26p
	tab emp26p_recode
	
	*Create the sum of all the employment variables
	gen class_emp = 0 
	foreach v of varlist emp625_recode emp26p_recode emp05 { 
		replace class_emp = class_emp + `v' 
	} 
	
	tab class_emp
	tab emp05 
	tab emp26p_recode 
	tab emp625_recode
	
	
	*Create the sector variable
	gen class_sector = ls
	label var class_sector "Sector"
	
	*Create the chain variable
	gen class_chain = chain
	label var class_chain "Chain restaurant or not"
	
	*Assign labels to the values of class_emp, ls, chain and numpre 
	label define class_empf 	0 "Missing      " 1 "Nb employed 1-7" 2 "Nb employed 8-39" 3 "Nb employed 40+"
	label define class_sectorf 	0 "Full-service  " 1 "Limited-service"
	label define class_chainf 	0 "Chain" 1 "Non-chain"
	label define class_nb_itemsf 	0 "Less than 15 items" 1 "15-40 items" 2 "41-66 items" 3 "67-105 items" 4 "106-407 items"

	label values class_emp class_empf
	label values class_sector class_sectorf
	label values class_chain class_chainf
	label values class_nb_items class_nb_itemsf
	
	*Note: there are missing values for 4 restaurants for the number of employees.	

	
	
*----------------------------------------------------------------------------------------------------------------%	
*Table 2: San Jose (treatment) sample compared to outside-San Jose (control samples) - Restaurant characteristics
*----------------------------------------------------------------------------------------------------------------%  	
	local list_vars "fs ls chain restdensity distcity"
	local i=0
	
	*Column (1)
		*calculate average characterictics of price items in San Jose	
		foreach v of local list_vars {
			local i=`i'+1
			su `v' if sj==1, d
			mat tab4_col1_`i' =1, r(mean), r(sd), r(N)
			mat rownames tab4_col1_`i' ="`v'"
			mat colnames tab4_col1_`i' ="Column" "mean" "sd" "N"
			}
			
			*matrix list tab4_col1
			*Compile the results from rows (1) to (8) in one matrix
			mat tab4_col1 = tab4_col1_1\tab4_col1_2\tab4_col1_3\tab4_col1_4\tab4_col1_5
			matrix list tab4_col1 
	

	
	*Column (2)
		local list_vars "fs ls chain restdensity distcity"
		local i=0
		*calculate average characterictics of price items in San Jose	
		foreach v of local list_vars {
			local i=`i'+1
			su `v' if sj==0, d
			mat tab4_col2_`i' =2, r(mean), r(sd), r(N)
			mat rownames tab4_col2_`i' ="`v'"
			mat colnames tab4_col2_`i' ="Column" "mean" "sd" "N"
			}
			
			*matrix list tab4_col1
			*Compile the results from rows (1) to (8) in one matrix
			mat tab4_col2 = tab4_col2_1\tab4_col2_2\tab4_col2_3\tab4_col2_4\tab4_col2_5
			matrix list tab4_col2	
	
	
	*Column (3)
		local list_vars "fs ls chain restdensity distcity"
		local i=0
		*calculate average characterictics of price items in San Jose	
		foreach v of local list_vars {
			local i=`i'+1
			reg `v' sj, cluster (chainid)
			mat tab4_col3_`i'= 3, _b[sj], _se[sj], e(N)
			mat rownames tab4_col3_`i' ="`v'"
			mat colnames tab4_col3_`i' ="Column" "mean" "sd" "N"
			}
			
			*matrix list tab4_col1
			*Compile the results from rows (1) to (8) in one matrix
			mat tab4_col3 = tab4_col3_1\tab4_col3_2\tab4_col3_3\tab4_col3_4\tab4_col3_5
			matrix list tab4_col3	
	

*Compile the results from columns (1) to (3) in one matrix
	mat tab4 = (tab4_col1,tab4_col2,tab4_col3)
	matrix list tab4
	
*Output the results of table 5 in excel
	putexcel A1=matrix(tab4, names)  using "$file_path.xlsx", sheet ("RES-table2") modify	
	
	
	
*----------------------------------------------------------------------------------------------------------------%	
*Table 3: Prices and menu items: San Jose compared to outside San-Jose
*----------------------------------------------------------------------------------------------------------------%  	
*A. Average characteristics of prices and items	
	local list_vars "pre_price pre_priceM nb_items numremoved post_price post_priceM numpost numnew"
	local i=0
	
	*Column (1)
		*calculate average characterictics of price items in San Jose
		foreach v of local list_vars {
			local i=`i'+1
			su `v' if sj==1, d
			mat tab5A_col1_`i' =1, r(mean), r(sd), r(N)
			mat rownames tab5A_col1_`i' ="`v'"
			mat colnames tab5A_col1_`i' ="Column" "mean" "sd" "N"
			}
			
			*matrix list tab5A_col1
			*Compile the results from rows (1) to (8) in one matrix
			mat tab5A_col1 = tab5A_col1_1\tab5A_col1_2\tab5A_col1_3\tab5A_col1_4\tab5A_col1_5\tab5A_col1_6\tab5A_col1_7\tab5A_col1_8
			matrix list tab5A_col1 
	
	
	*Column (2)
		*calculate average characterictics of price items outside San Jose
	local list_vars "pre_price pre_priceM nb_items numremoved post_price post_priceM numpost numnew"
	local i=0
		foreach v of local list_vars {
			local i=`i'+1
			su `v' if sj==0, d
			mat tab5A_col2_`i' =2, r(mean), r(sd), r(N)
			mat rownames tab5A_col2_`i' ="`v'"
			mat colnames tab5A_col2_`i' ="Column" "mean" "sd" "N"
			}
			
			*matrix list tab5A_col2
			*Compile the results from rows (1) to (8) in one matrix			
			mat tab5A_col2 = tab5A_col2_1\tab5A_col2_2\tab5A_col2_3\tab5A_col2_4\tab5A_col2_5\tab5A_col2_6\tab5A_col2_7\tab5A_col2_8
			matrix list tab5A_col2 

			
		
		*Column (3)
		*calculate the difference in average characterictics of price items between restaurants in San Jose and outside San Jose
	local list_vars "pre_price pre_priceM nb_items numremoved post_price post_priceM numpost numnew"
	local i=0
			foreach v of local list_vars {
			local i=`i'+1
			reg `v' sj, cluster (chainid)
			mat tab5A_col3_`i'= 3, _b[sj], _se[sj], e(N)
			mat rownames tab5A_col3_`i' ="`v'"
			mat colnames tab5A_col3_`i' ="Column" "coeff" "se" "N"
			}
			
			*matrix list tab5A_col3
			*Compile the results from rows (1) to (8) in one matrix				
			mat tab5A_col3 = tab5A_col3_1\tab5A_col3_2\tab5A_col3_3\tab5A_col3_4\tab5A_col3_5\tab5A_col3_6\tab5A_col3_7\tab5A_col3_8
			matrix list tab5A_col3 	
			
*Compile the results from columns (1) to (3) in one matrix
	mat tab5A = (tab5A_col1,tab5A_col2, tab5A_col3)
	matrix list tab5A				

	
*B. Average characteristics of prices and items		
	local list_vars "priceup pricedn pricesame priceupM pricednM pricesameM"
	local i=0
	
	*Column (1)
		*calculate average characterictics of price items in San Jose
		foreach v of local list_vars {
			local i=`i'+1
			su `v' if sj==1, d
			mat tab5B_col1_`i' =1, r(mean), r(sd), r(N)
			mat rownames tab5B_col1_`i' ="`v'"
			mat colnames tab5B_col1_`i' ="Column" "mean" "sd" "N"
			}
			
			*matrix list tab5B_row1
			*Compile the results from rows (1) to (8) in one matrix
			mat tab5B_col1 = tab5B_col1_1\tab5B_col1_2\tab5B_col1_3\tab5B_col1_4\tab5B_col1_5\tab5B_col1_6
			matrix list tab5B_col1 
	
	
	*Column (2)
		*calculate average characterictics of price items outside San Jose
	local list_vars "priceup pricedn pricesame priceupM pricednM pricesameM"
	local i=0
		foreach v of local list_vars {
			local i=`i'+1
			su `v' if sj==0, d
			mat tab5B_col2_`i' =2, r(mean), r(sd), r(N)
			mat rownames tab5B_col2_`i' ="`v'"
			mat colnames tab5B_col2_`i' ="Column" "mean" "sd" "N"
			}
			
			
			mat tab5B_col2 = tab5B_col2_1\tab5B_col2_2\tab5B_col2_3\tab5B_col2_4\tab5B_col2_5\tab5B_col2_6
			matrix list tab5B_col2 

			
		
		*Column (3)
		*calculate the difference in average characterictics of price items between restaurants in San Jose and outside San Jose
	local list_vars "priceup pricedn pricesame priceupM pricednM pricesameM"
	local i=0
		
		foreach v of local list_vars {
			local i=`i'+1
			reg `v' sj, cluster (chainid)
			mat tab5B_col3_`i'= 3, _b[sj], _se[sj], e(N)
			mat rownames tab5B_col3_`i' ="`v'"
			mat colnames tab5B_col3_`i' ="Column" "coeff" "se" "N"
			}
			
			*matrix list tab5B_row1
			*Compile the results from rows (17) to (24) in one matrix
			mat tab5B_col3 = tab5B_col3_1\tab5B_col3_2\tab5B_col3_3\tab5B_col3_4\tab5B_col3_5\tab5B_col3_6
			matrix list tab5B_col3 	
			
*Compile the results from columns (1) to (3) in one matrix
	mat tab5B = (tab5B_col1,tab5B_col2, tab5B_col3)
	matrix list tab5B		

*Compile the results from columns (1) to (3) in one matrix
	mat tab5 = (tab5A\tab5B)
	matrix list tab5
		
*Output the results of table 5 in excel
	putexcel A1=matrix(tab5, names)  using "$file_path.xlsx", sheet ("RES-table3") modify	
	
	
*----------------------------------------------------------------------------------------------------------------%	
*Table 4: Estimated price elasticities
*----------------------------------------------------------------------------------------------------------------%                                                                                
*Run regressions for table 6	
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/, cluster(chainid) 
		
		*create matrix to store estimates from the regression
		mat tab6_col1 = 1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab6_col1="sj"
		mat colnames tab6_col1= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
	
	*Column (2)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/, cluster(chainid)
		
		*create matrix to store estimates from the regression
		mat tab6_col2 = 2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ /// 
						2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust)\ ///
						2, _b[fs], _se[fs],(exp(_b[fs])-1)/0.25, _se[fs]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab6_col2="sj" "sjXfs" "fs"
		mat colnames tab6_col2= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
	
	*Column (3)
	reg difflog sj sjXchain chain /*[pw=inv_numpre]*/, cluster(chainid)

		*create matrix to store estimates from the regression
		mat tab6_col3 = 3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N) , e(r2) ,  e(N_clust)\ ///
						3, _b[sjXchain], _se[sjXchain],(exp(_b[sjXchain])-1)/0.25, _se[sjXchain]/0.25, e(N), e(r2),  e(N_clust)\ ///
						3, _b[chain], _se[chain],(exp(_b[chain])-1)/0.25, _se[chain]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab6_col3="sj" "sjXchain" "chain"
		mat colnames tab6_col3= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
	*Column(4)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/, cluster(chainid) 
	
		*create matrix to store estimates from the regression
		mat tab6_col4 = 4, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N) , e(r2),  e(N_clust) \  ///
						4, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust)\  ///
						4, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust)\ ///
						4, _b[emp625], _se[emp625],(exp(_b[emp625])-1)/0.25, _se[emp625]/0.25, e(N), e(r2),  e(N_clust)\  ///
						4, _b[emp26p], _se[emp26p],(exp(_b[emp26p])-1)/0.25, _se[emp26p]/0.25, e(N), e(r2),  e(N_clust) 
						
		mat rownames tab6_col4="sj" "sjXemp625" "sjXemp26p" "emp625" "emp26p" 
		mat colnames tab6_col4= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
	
	*Column(5)
	reg difflog sj sjXdistcity distcity /*[pw=inv_numpre]*/, cluster(chainid)

		*create matrix to store estimates from the regression
		mat tab6_col5 = 5, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust) \ ///
						5, _b[sjXdistcity], _se[sjXdistcity],(exp(_b[sjXdistcity])-1)/0.25, _se[sjXdistcity]/0.25, e(N), e(r2),  e(N_clust)\ ///
						5, _b[distcity], _se[distcity],(exp(_b[distcity])-1)/0.25, _se[distcity]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab6_col5="sj" "sjXDistance to Border" "Distance to Border"
		mat colnames tab6_col5= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
	
	*Column(6)
	reg difflog sj sjXrestdensity restdensity /*[pw=inv_numpre]*/, cluster(chainid)
	
		*create matrix to store estimates from the regression
		mat tab6_col6 = 6, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\  /// 
						6, _b[sjXrestdensity], _se[sjXrestdensity],(exp(_b[sjXrestdensity])-1)/0.25, _se[sjXrestdensity]/0.25, e(N), e(r2),  e(N_clust)\ ///
						6, _b[restdensity], _se[restdensity],(exp(_b[restdensity])-1)/0.25, _se[restdensity]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab6_col6="sj" "sjXRestaurant density" "Restaurant density"
		mat colnames tab6_col6= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
	*Column(7)
	reg difflog sj sjXfs sjXchain sjXemp625 sjXemp26p sjXdistcity sjXrestdensity fs chain emp625 emp26p distcity restdensity if empmissing==0 /*[pw=inv_numpre]*/, cluster(chainid)
		
		*create matrix to store estimates from the regression
		mat tab6_col7 = 7, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\  /// 
						7, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust)\ ///
						7, _b[sjXchain], _se[sjXchain],(exp(_b[sjXchain])-1)/0.25, _se[sjXchain]/0.25, e(N), e(r2),  e(N_clust) \ ///
						7, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust)\  ///
						7, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust)\  ///
						7, _b[sjXdistcity], _se[sjXdistcity],(exp(_b[sjXdistcity])-1)/0.25, _se[sjXdistcity]/0.25, e(N), e(r2),  e(N_clust)\ ////				
						7, _b[sjXrestdensity], _se[sjXrestdensity],(exp(_b[sjXrestdensity])-1)/0.25, _se[sjXrestdensity]/0.25, e(N), e(r2),  e(N_clust)\ ///
						7, _b[fs], _se[fs],(exp(_b[fs])-1)/0.25, _se[fs]/0.25, e(N), e(r2),  e(N_clust)\ ///
						7, _b[chain], _se[chain],(exp(_b[chain])-1)/0.25, _se[chain]/0.25, e(N), e(r2),  e(N_clust) \ ///
						7, _b[emp625], _se[emp625],(exp(_b[emp625])-1)/0.25, _se[emp625]/0.25, e(N), e(r2),  e(N_clust)\  ///
						7, _b[emp26p], _se[emp26p],(exp(_b[emp26p])-1)/0.25, _se[emp26p]/0.25, e(N), e(r2),  e(N_clust)\  ///
						7, _b[distcity], _se[distcity],(exp(_b[distcity])-1)/0.25, _se[distcity]/0.25, e(N), e(r2),  e(N_clust)\ ////				
						7, _b[restdensity], _se[restdensity],(exp(_b[restdensity])-1)/0.25, _se[restdensity]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab6_col7="sj" "sjXfs" "sjXchain" "sjXemp625" "sjXemp26p" "sjXDistance to Border" "sjXRestaurant density" "fs" "chain" "emp625" "emp26p" "Distance to Border" "Restaurant density"
		mat colnames tab6_col7= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2"

		
*Compile the results from columns (1) to (7) in one matrix
	mat tab6 = tab6_col1\tab6_col2\tab6_col3\tab6_col4\tab6_col5\tab6_col6\tab6_col7
	matrix list tab6 
		
*Output the results of table 6 in excel
	putexcel A1=matrix(tab6, names)  using "$file_path.xlsx", sheet ("RES-table4") modify
	
	
*----------------------------------------------------------------------------------------------------------------%	
*Table 5: Estimated price elasticities for all categorical variables 
*----------------------------------------------------------------------------------------------------------------%  	
*Run regressions for table 5	
	*A. Overall 
	reg difflog sj /*[pw=inv_numpre]*/, cluster(chainid) 
		
		*create matrix to store estimates from the regression
		
		mat tab7_A = 1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab7_A="sj"
		mat colnames tab7_A="Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
		matrix list tab7_A
	*B. Sector
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/, cluster(chainid)
		
		*create matrix to store estimates from the regression
		mat VAR=e(V)
		mat tab7_B = 2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
					 2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
					 2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
									      sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab7_B="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab7_B="Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
		matrix list tab7_B
		
	*C. Chain analysis
		*C.1. Indicator for chain using the whole sample
		reg difflog sj sjXchain chain /*[pw=inv_numpre]*/, cluster(chainid)
		
			*create matrix to store estimates from the regression
			mat VAR=e(V)
			mat tab7_C1 = 3,_b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
						  3, _b[sjXchain], _se[sjXchain],(exp(_b[sjXchain])-1)/0.25, _se[sjXchain]/0.25, e(N), e(r2),  e(N_clust) \ ///
						  3, _b[sj]+_b[sjXchain], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXchain])-1)/0.25, /// 
												  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
						 
			mat rownames tab7_C1="sj" "sjXchain"  "sj+sjXchain"
			mat colnames tab7_C1="Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
			
		
		*C.2. Sample using only chains with outlets in both the treatment and the control areas
		reg difflog sj i.chainid if chain==1 /*[pw=inv_numpre]*/, cluster(chainid) 
		
			*create matrix to store estimates from the regression
			mat VAR=e(V)
			mat tab7_C2 = 4, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
			mat rownames tab7_C2="sj" 
			mat colnames tab7_C2="Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
			
			
	*D. Number of employees
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/, cluster(chainid)
		
		*create matrix to store estimates from the regression
		mat VAR=e(V)
		matrix list VAR
		mat tab7_D = 5, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
					 5, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
					 5, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
													 sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
					 5, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
					 5, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
												     sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
					 
		mat rownames tab7_D="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab7_D="Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

		
*Compile the results  in one matrix
	mat tab7 = tab7_A\tab7_B\tab7_C1\tab7_C2\tab7_D
	matrix list tab7 
	
	
*Output the results of table 5 in excel
	putexcel A1=matrix(tab7, names)  using "$file_path.xlsx", sheet ("RES-table5") modify
	
*----------------------------------------------------------------------------------------------------------------%	
*Table C1: Descriptive statistics and estimated price elasticities by quartiles of the number of menu items
*----------------------------------------------------------------------------------------------------------------%  	
	
	gen 		price_diff 			= post_priceM-pre_priceM
	gen 		share_rest_wpinc 	= price_diff>0 & price_diff!=.


*Generate descriptive statistics and run regression for table C1	
	*Note: Only the restaurants with more than 15 items are considered here (i.e. class_numpre>0)
	
	*A. Number of restaurants, in and outside San-Jose
		*total
		ta share_rest_wpinc class_nb_items if class_nb_items>0,  matcell(A1)
		*in San Jose
		ta share_rest_wpinc class_nb_items if class_nb_items>0 & sj==1, matcell(A2)
		*Outside San Jose
		ta share_rest_wpinc class_nb_items if class_nb_items>0 & sj==0, matcell(A3)
		
		
		*create matrix to store the results
		mat tab8_A = 1, A1[1,1]+A1[2,1], A1[1,2]+A1[2,2], A1[1,3]+A1[2,3], A1[1,4]+A1[2,4] \ ///
					 1, A2[1,1]+A2[2,1], A2[1,2]+A2[2,2], A2[1,3]+A2[2,3], A2[1,4]+A2[2,4] \ ///
					 1, A3[1,1]+A3[2,1], A3[1,2]+A3[2,2], A3[1,3]+A3[2,3], A3[1,4]+A3[2,4]  ///
							  
		mat rownames tab8_A="Total" "In San Jose" "Ouside San Jose" 
		mat colnames tab8_A="Specification" "Quartile 1" "Quartile 2" "Quartile 3" "Quartile 4" 
		
	
	*B. Share of restaurants with price increases		
		mat tab8_B = 2, A1[2,1]/(A1[1,1]+A1[2,1]), A1[2,2]/(A1[1,2]+A1[2,2]), A1[2,3]/(A1[1,3]+A1[2,3]), A1[2,4]/(A1[1,4]+A1[2,4]) \ ///
					 2, A2[2,1]/(A2[1,1]+A2[2,1]), A2[2,2]/(A2[1,2]+A2[2,2]), A2[2,3]/(A2[1,3]+A2[2,3]), A2[2,4]/(A2[1,4]+A2[2,4]) \ ///
					 2, A3[2,1]/(A3[1,1]+A3[2,1]), A3[2,2]/(A3[1,2]+A3[2,2]), A3[2,3]/(A3[1,3]+A3[2,3]), A3[2,4]/(A3[1,4]+A3[2,4])
	
		mat rownames tab8_B="Total" "In San Jose" "Ouside San Jose" 
		mat colnames tab8_B="Specification" "Quartile 1" "Quartile 2" "Quartile 3" "Quartile 4" 
		matrix list tab8_B
	
	*C. Share of items with price increases
		* This calculation needs to be done at the item level, and therefore cannot be performed after the item prices
			* have been collapsed at the restaurant level. Look up in the first section of the program to find this calculation. 
		
		*total
		su ind_item_wpinc if class_nb_items ==1
			mat tab8_C_1 = r(mean) 
		su ind_item_wpinc if class_nb_items ==2
			mat tab8_C_2 = r(mean)
		su ind_item_wpinc if class_nb_items ==3
			mat tab8_C_3 = r(mean)
		su ind_item_wpinc if class_nb_items ==4
			mat tab8_C_4 = r(mean)
		
		mat tab8_C_col1 = tab8_C_1\tab8_C_2\tab8_C_3\tab8_C_4
		mat tab8_C_row1 = 3, tab8_C_col1'
		
		*In San Jose
		su ind_item_wpinc if class_nb_items ==1 & sj==1
			mat tab8_C_5 = r(mean)
		su ind_item_wpinc if class_nb_items ==2 & sj==1
			mat tab8_C_6 = r(mean)		
		su ind_item_wpinc if class_nb_items ==3 & sj==1
			mat tab8_C_7 = r(mean)
		su ind_item_wpinc if class_nb_items ==4 & sj==1
			mat tab8_C_8 = r(mean)
		
		mat tab8_C_col2 = tab8_C_5\tab8_C_6\tab8_C_7\tab8_C_8
		mat tab8_C_row2 = 3, tab8_C_col2'	
	
	
		*Outside San Jose	
		su ind_item_wpinc if class_nb_items ==1 & sj==0
			mat tab8_C_9 = r(mean)
		su ind_item_wpinc if class_nb_items ==2 & sj==0
			mat tab8_C_10 = r(mean)
		su ind_item_wpinc if class_nb_items ==3 & sj==0
			mat tab8_C_11 = r(mean)
		su ind_item_wpinc if class_nb_items ==4 & sj==0
			mat tab8_C_12 = r(mean)
		
		mat tab8_C_col3 = tab8_C_9\tab8_C_10\tab8_C_11\tab8_C_12
		mat tab8_C_row3 = 3, tab8_C_col3'		
 
		
		*Compile the results in one matrix

		mat tab8_C = tab8_C_row1\tab8_C_row2\tab8_C_row3
		mat rownames tab8_C="Total" "In San Jose" "Ouside San Jose" 
		mat colnames tab8_C="Specification" "Quartile 1" "Quartile 2" "Quartile 3" "Quartile 4"
		matrix list tab8_C  
	
	*D. Estimated price effect
	
	*Quartile 1
	reg difflog sj if class_nb_items==1 /*[pw=inv_numpre]*/, cluster(chainid)
		*create matrix to store estimates from the regression
		mat tab8_D_col1= 1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab8_D_col1="sj"
		mat colnames tab8_D_col1="Quartile" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
		
	*Quartile 2	
	reg difflog sj if class_nb_items==2 /*[pw=inv_numpre]*/, cluster(chainid)
		*create matrix to store estimates from the regression
		mat tab8_D_col2 = 2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab8_D_col2="sj"
		mat colnames tab8_D_col2= "Quartile" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
	
	*Quartile 3
	reg difflog sj if class_nb_items==3 /*[pw=inv_numpre]*/, cluster(chainid)
		*create matrix to store estimates from the regression
		mat tab8_D_col3 = 3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab8_D_col3="sj"
		mat colnames tab8_D_col3= "Quartile" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
	
	*Quartile 4
	reg difflog sj if class_nb_items==4 /*[pw=inv_numpre]*/, cluster(chainid)
		*create matrix to store estimates from the regression
		mat tab8_D_col4 = 4, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab8_D_col4="sj"
		mat colnames tab8_D_col4= "Quartile" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	
	
			
	*Compile the results in one matrix
		mat tab8_D_col = tab8_D_col1\tab8_D_col2\tab8_D_col3\tab8_D_col4
		mat tab8_D_row=tab8_D_col'
		mat tab8_D = 4, tab8_D_row[4,1],  tab8_D_row[4,2],  tab8_D_row[4,3], tab8_D_row[4,4] \ ///
					 4, tab8_D_row[5,1],  tab8_D_row[5,2],  tab8_D_row[5,3], tab8_D_row[5,4]
		mat rownames tab8_D="elasticity" "se_elast"
		mat colnames tab8_D="Specification" "Quartile 1" "Quartile 2" "Quartile 3" "Quartile 4" 
	

		
*Compile the results  in one matrix
	mat tab8 = tab8_A\tab8_B\tab8_C\tab8_D 
	
*Output the results of table 8 in excel
	putexcel A1=matrix(tab8, names)  using "$file_path.xlsx", sheet ("App C1") modify
	
*----------------------------------------------------------------------------------------------------------------%  
*Table C2 - Estimated price elastisties for three main dishes
*----------------------------------------------------------------------------------------------------------------%  
clear
use build
*1.1 Creation of dependent variables
	*Check that pre_price and post_price are positive and that all observations have grubhub==0
	assert 	pre_price>0 
	assert 	post_price>0
	ta 		grubhub
	
	*Creation of two versions of log(diff avg price):
	*(1) Include new and removed items: just use the original pre_price and post_price

	*(2) Exclude new and removed items
	gen 		pre_priceM 		= pre_price 	if pre_price<.&post_price<.
	gen 		post_priceM 	= post_price 	if pre_price<.&post_price<.
	gen 		removedprice 	= pre_price 	if post_price>=.
	gen 		newprice 		= post_price 	if pre_price>=.
	
	gen 		price_diff 		= post_priceM-pre_priceM
	gen 		ind_item_wpinc 	= price_diff>0 & price_diff!=.
	
	label var 	pre_priceM 		"pre-price, excl. removed items"
	label var 	post_priceM 	"post-price, excl. new items"
	label var 	removedprice 	"pre_price of removed item"
	label var 	newprice 		"post_price of new item"
	label var 	price_diff		"difference between post price and pre-price"
	label var 	ind_item_wpinc	"1 if there is a difference in the prices pre and post, 0 otherwise"

	
	*Create distance to competitor on other side of border (combination of values from distout2SJ and distSJ2out)
	gen 		distcompetitor = distout2SJ if sj==0
	replace 	distcompetitor = distSJ2out if sj==1
	assert 		distcompetitor<.
	label var 	distcompetitor "distance to competitor on the other side of border (mi)"

	*number of items as counted with the number of prices listed BEFORE the reform in March 2013
	egen  	 nb_items  			 = count(pre_price>0), by(uid) 
	egen 	 nb_items_wprice_inc = count (pre_price>0) if price_diff>0, by(uid)
	egen 	 nb_items_nomiss 	 = count (pre_price>0) if price_diff !=. , by(uid)
	replace  nb_items_wprice_inc = 0 if price_diff<=0
	
	
	
	*Creation of interaction variables used in tables 6 and 7 
	gen sjXfs = sj*fs
	gen sjXemp625 = sj*emp625
	gen sjXemp26p = sj*emp26p
	gen sjXempmissing = sj*empmissing
	
	
	*create the chicken, pizza and burgers items
	gen pizza		= regexm(trim(lower(item)),"pizza")
	gen chicken		= regexm(trim(lower(item)),"chicken") & pizza==0
	gen burger		= regexm(trim(lower(item)),"burger") & pizza==0 &chicken ==0
	gen allitems 	= (chicken==1 | pizza==1 | burger==1)

	label var chicken 	"=1 if item name contains 'chicken'"
	label var pizza 	"=1 if item name contains 'pizza'"
	label var burger 	"=1 if item name contains 'burger'"
	
	*examine outliers
	sum pre_price if burger==1,d
	sum pre_price if pizza==1,d
	sum pre_price if chicken==1,d

	*Replace "removed" = . if new
	replace removed=. if new==1

	*Replace "new" = . if removed
	replace new=. if removed==1

	*Create outcome variable: log(post_price)-log(pre_price)
	gen difflog_un		=log(post_price)-log(pre_price)
	label var difflog_un "Diff in log(price) - unbalanced panel"

	
*Run regressions for table C2
		*Column (1), All 3 items
		reg difflog_un sj if allitems==1 , cluster(chainid)
			mat tab9_col1 = 1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
			mat rownames tab9_col1="sj"
			mat colnames tab9_col1= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"
		
	
	
		*Column (2), Chicken
		reg difflog_un sj if chicken==1, cluster(chainid)
			mat tab9_col2 = 2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
			mat rownames tab9_col2="sj"
			mat colnames tab9_col2= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"
		
		*Column (3), Pizza
		reg difflog_un sj if pizza==1 , cluster(chainid)
			mat tab9_col3 = 3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
			mat rownames tab9_col3="sj"
			mat colnames tab9_col3= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"
		
		*Column (4), burger
		reg difflog_un sj if burger==1 , cluster(chainid)
			mat tab9_col4 = 4, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
			mat rownames tab9_col4="sj"
			mat colnames tab9_col4= "Specification" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	 

*Compile the results from columns (1) to (4) in one matrix
	mat tab9 = tab9_col1\tab9_col2\tab9_col3\tab9_col4
	matrix list tab9 
		
*Output the results of table 6 in excel	
	putexcel A1=matrix(tab9, names) using "$file_path.xlsx" , sheet ("App C2") modify		
	
	
*----------------------------------------------------------------------------------------------------------------%  
*Table 6 - Robustness checks
*----------------------------------------------------------------------------------------------------------------%  	

*Create top 5 items and top 1 item with price increase
	by uid (price_diff ), sort: gen ind_top5 = (_n==nb_items_nomiss  | _n==nb_items_nomiss-1 | _n==nb_items_nomiss-2 | _n==nb_items_nomiss-3 | _n==nb_items_nomiss-4)
	by uid (price_diff ), sort: gen ind_top1 = (_n==nb_items_nomiss)

	
*Specification (6): Item level, all observations
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/, cluster(chainid) 
		mat tab10_6_col1 = 6,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_6_col1="sj"
		mat colnames tab10_6_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ , cluster(chainid)
		mat VAR=e(V)
		mat tab10_6_col2 = 	6,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							6,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							6,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_6_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_6_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ , cluster(chainid)
		mat VAR=e(V)
		mat tab10_6_col3 = 	6,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							6,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							6,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							6,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							6,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_6_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_6_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

		
	*Compile the results  in one matrix
	mat tab10_6 = tab10_6_col1\tab10_6_col2\tab10_6_col3
	matrix list tab10_6 	


*Specification (7): Item level, top 5 items
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/ if ind_top5==1, cluster(chainid) 
		mat tab10_7_col1 = 7,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_7_col1="sj"
		mat colnames tab10_7_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ if ind_top5==1, cluster(chainid)
		mat VAR=e(V)
		mat tab10_7_col2 = 	7,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							7,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							7,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_7_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_7_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ & ind_top5==1, cluster(chainid)
		mat VAR=e(V)
		mat tab10_7_col3 = 	7,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							7,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							7,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							7,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							7,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_7_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_7_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

		
	*Compile the results  in one matrix
	mat tab10_7 = tab10_7_col1\tab10_7_col2\tab10_7_col3
	matrix list tab10_7 
	
	
*Specification (8): item level, top 1 item	
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/ if ind_top1==1, cluster(chainid) 
		mat tab10_8_col1 = 8,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_8_col1="sj"
		mat colnames tab10_8_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ if ind_top1==1, cluster(chainid)
		mat VAR=e(V)
		mat tab10_8_col2 = 	8,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							8,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							8,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_8_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_8_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ & ind_top1==1, cluster(chainid)
		mat VAR=e(V)
		mat tab10_8_col3 = 	8,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							8,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							8,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							8,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							8,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_8_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_8_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

		
	*Compile the results  in one matrix
	mat tab10_8 = tab10_8_col1\tab10_8_col2\tab10_8_col3
	matrix list tab10_8 
	
	
	
*Collapse the data at the restaurant level
	collapse 	(mean) 	pre_price post_price pre_priceM post_priceM removedprice newprice sj ls fs chain ///
						emp05 emp625 emp26p empmissing distcity restdensity distcompetitor chainid  ///
				(count) nb_items=pre_price nb_items_M=pre_priceM nb_items_post=post_price numpost=post_price ///
				(sum) 	numremoved=removed numnew=new, by(uid dataset)
	
	
	*Difference in prices before and after the reform, excl. new and removed items
	gen difflog = log(post_priceM)-log(pre_priceM)
	*Creation of interaction variables used in tables 6 and 7 
	gen sjXfs = sj*fs
	gen sjXemp625 = sj*emp625
	gen sjXemp26p = sj*emp26p
	gen sjXempmissing = sj*empmissing
	su nb_items, d
	gen top5 = (nb_items>r(p95))
	gen bottom5 = (nb_items<r(p5))
	gen bottom10 = (nb_items<r(p10))
	
*Specification (1): Restaurant level, all observations
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/, cluster(chainid) 
		mat tab10_1_col1 = 1,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_1_col1="sj"
		mat colnames tab10_1_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ , cluster(chainid)
		mat VAR=e(V)
		mat tab10_1_col2 = 	1,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							1,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							1,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_1_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_1_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ , cluster(chainid)
		mat VAR=e(V)
		mat tab10_1_col3 = 	1,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							1,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							1,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							1,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							1,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_1_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_1_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

		
	*Compile the results  in one matrix
	mat tab10_1 = tab10_1_col1\tab10_1_col2\tab10_1_col3
	matrix list tab10_1 	

	
*Specification (2): Restaurant level, bottom 5% and top 5% of the distribution of items dropped
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/ if bottom5==0 & top5==0, cluster(chainid) 
		mat tab10_2_col1 = 2,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_2_col1="sj"
		mat colnames tab10_2_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ if bottom5==0 & top5==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_2_col2 = 	2,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							2,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							2,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_2_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_2_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ & bottom5==0 & top5==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_2_col3 = 	2,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							2,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							2,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							2,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							2,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_2_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_2_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

	*Compile the results  in one matrix
	mat tab10_2 = tab10_2_col1\tab10_2_col2\tab10_2_col3
	matrix list tab10_2 
	

	
	
	
*Specification (3): Restaurant level, bottom 5% of the distribution of items dropped
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/ if bottom5==0 , cluster(chainid) 
		mat tab10_3_col1 = 3,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_3_col1="sj"
		mat colnames tab10_3_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ if bottom5==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_3_col2 = 	3,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							3,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							3,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_3_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_3_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ & bottom5==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_3_col3 = 	3,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							3,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							3,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							3,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							3,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_3_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_3_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

	*Compile the results  in one matrix
	mat tab10_3 = tab10_3_col1\tab10_3_col2\tab10_3_col3
	matrix list tab10_3 
	
	
*Specification (4): Restaurant level, bottom 10% of the distribution of items dropped
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/ if bottom10==0 , cluster(chainid) 
		mat tab10_4_col1 = 4,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_4_col1="sj"
		mat colnames tab10_4_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ if bottom10==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_4_col2 = 	4,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							4,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							4,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_4_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_4_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625  sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ & bottom10==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_4_col3 = 	4,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							4,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							4,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							4,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							4,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_4_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_4_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

	*Compile the results  in one matrix
	mat tab10_4 = tab10_4_col1\tab10_4_col2\tab10_4_col3
	matrix list tab10_4 
	
	
	
*Specification (5): Restaurant level, top 5% of the distribution of items dropped
	*Column (1)
	reg difflog sj /*[pw=inv_numpre]*/ if top5==0 , cluster(chainid) 
		mat tab10_5_col1 = 5,1, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)
		mat rownames tab10_5_col1="sj"
		mat colnames tab10_5_col1="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	*Columns (2) and (3)
	reg difflog sj sjXfs fs /*[pw=inv_numpre]*/ if top5==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_5_col2 = 	5,2, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							5,2, _b[sjXfs], _se[sjXfs],(exp(_b[sjXfs])-1)/0.25, _se[sjXfs]/0.25, e(N), e(r2),  e(N_clust) \ ///
							5,2, _b[sj]+_b[sjXfs], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXfs])-1)/0.25, ///
											  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust)
					 
		mat rownames tab10_5_col2="sj" "sjXfs" "sj+sjXfs" 
		mat colnames tab10_5_col2="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"	

	
	*Columns (4), (5), (6)
	reg difflog sj sjXemp625 sjXemp26p emp625 emp26p if empmissing==0 /*[pw=inv_numpre]*/ & top5==0, cluster(chainid)
		mat VAR=e(V)
		mat tab10_5_col3 = 	5,3, _b[sj], _se[sj],(exp(_b[sj])-1)/0.25, _se[sj]/0.25, e(N), e(r2),  e(N_clust)\ ///
							5,3, _b[sjXemp625], _se[sjXemp625],(exp(_b[sjXemp625])-1)/0.25, _se[sjXemp625]/0.25, e(N), e(r2),  e(N_clust) \ ///
							5,3, _b[sjXemp625]+_b[sjXemp625], sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp625])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[2,2]+2*VAR[1,2])/0.25, e(N),e(r2),  e(N_clust) \ ///
							5,3, _b[sjXemp26p], _se[sjXemp26p],(exp(_b[sjXemp26p])-1)/0.25, _se[sjXemp26p]/0.25, e(N), e(r2),  e(N_clust) \ ///
							5,3, _b[sjXemp26p]+_b[sjXemp26p], sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1]), (exp(_b[sj])-1)/0.25 + (exp(_b[sjXemp26p])-1)/0.25, ///
															  sqrt(VAR[1,1]+VAR[3,3]+2*VAR[3,1])/0.25, e(N),e(r2),  e(N_clust) ///
												  
		mat rownames tab10_5_col3="sj" "sjXemp625" "sj+sjXemp625" "sjXemp26p" "sj+sjXemp26p"
		mat colnames tab10_5_col3="Specification" "Column" "b" "se" "elasticity" "se_elast" "N" "R2" "N_cluster"			
		

	*Compile the results  in one matrix
	mat tab10_5 = tab10_5_col1\tab10_5_col2\tab10_5_col3
	matrix list tab10_5 
	

	
	
*Compile the results of all specifications in one matrix
*mat tab10=tab10_1\tab10_2\tab10_3\tab10_4\tab10_5\tab10_6\tab10_7\tab10_8
mat tab10=tab10_1\tab10_2\tab10_3\tab10_4\tab10_5

*Output the results of table 10 in excel	
	putexcel A1=matrix(tab10, names) using "$file_path.xlsx" , sheet ("RES-table6") modify		


*--------------------------------------------------------------------------------------%
*Figure 2 - Test for structural breaks in wage and employment trends for San Jose and outside-San Jose
*--------------------------------------------------------------------------------------%
clear
cd "`builddata'"
use "`qcew_file'"
describe *
keep if code==51113 & (areaid==1 | areaid==3)
g areaname="San Jose" if areaid==1
replace areaname="SC Not San Jose" if areaid==3
 
	   
local f0 = "blue"
local f1 = "green" 
local f2 = "blue"
local f3 = "orange"	   
	   
graph twoway (scatter avgwages yq if code==51113 & areaid==1 & yq<213, sort mcolor(`f2') msymbol(plus) ) ///
         (lfit avgwages yq if code==51113 & areaid==1 & yq<213, sort clwidth(thick) clcolor(`f2')) ///
		 (scatter avgwages yq if code==51113 & areaid==1 & yq>=212, mcolor(`f2') sort msymbol(plus)) ///
		 (lfit avgwages yq if code==51113 & areaid==1 & yq>=212, clwidth(thick) clcolor(`f2') sort xline(212, lpat(dash))) ///
		 (scatter avgwages yq if code==51113 & areaid==3, sort mcolor(`f3') msymbol(circle) ) ///
         (lfit avgwages yq if code==51113 & areaid==3, sort clwidth(thick) clcolor(`f3')) , xtitle("Quarters") ///
		 ytitle("Average Weekly Wage") ///
		 legend( label(1 "SJ Wages till 2013 Q1") label(2 "Fitted") label(3 "SJ Wages from 2013 Q2") label(4 "Fitted") label(5 "SCnotSJ wages") label(6 "Fitted") )
		 
graph save Graph_Wages_CombinedFSLS_SJ_SCnotSJ_1, replace		 
		
	   
graph twoway (scatter emp yq if code==51113 & areaid==1, sort mcolor(`f2') msymbol(plus)) ///
		 (lfit emp yq if code==51113 & areaid==1, sort clwidth(thick) clcolor(`f2') xline(212, lp(dash))) ///
		 (scatter emp yq if code==51113 & areaid==3, sort mcolor(`f3') msymbol(circle)) ///
		 (lfit emp yq if code==51113 & areaid==3, sort clwidth(thick) clcolor(`f3')) , xtitle("Quarters") ///
		 ytitle(" Employment") ///
		 legend( label(1 "San Jose") label(2 "Fitted") label(3 "SCnotSJ") label(4 "Fitted") )
	    
graph save Graph_emp_CombinedFSLS_SJ_SCnotSJ_1, replace		   

graph combine Graph_Wages_CombinedFSLS_SJ_SCnotSJ_1.gph Graph_emp_CombinedFSLS_SJ_SCnotSJ_1.gph, xcommon common 

cd "`graphdir'"
graph export "Figure2.eps", replace 


*--------------------------------------------------------------------------------------%
*Figure 4 - Relative price changes by distance to the San Jose Border
*--------------------------------------------------------------------------------------%


************************************ SET UP *************************
*********************************************************************
clear
cd "`builddata'"
use build

*note: pre_price and post_price include are missing when items are new or removed, respectively
sum pre_price post_price
assert pre_price>0 
assert post_price>0

*drop grubhub
drop if grubhub==1

tab dataset,m


// log(diff avg price) excludes new and removed items

gen pre_priceM = pre_price if pre_price<.&post_price<.
gen post_priceM = post_price if pre_price<.&post_price<.

label var pre_priceM "pre-price, excl. removed items"
label var post_priceM "post-price, excl. new items"

gen removedprice = pre_price if post_price>=.
label var removedprice "pre_price of removed item"
gen newprice = post_price if pre_price>=.
label var newprice "post_price of new item"

sum pre_price* post_price* removedprice newprice


******************************************************
**************************** MAKE GRAPH **************
******************************************************
// collapse to restaurant-level
collapse (mean) pre_priceM post_priceM distcity sj chainid, by(uid dataset)

gen difflog=log(post_priceM)-log(pre_priceM)
		
// make quantiles
local nquant0=4
local nquant1=3

xtile sj0dist = distcity if sj==0, nq(`nquant0')
xtile sj1dist = distcity if sj==1, nq(`nquant1')

gen distgrp = sj1dist if sj==1
replace distgrp = -1*sj0dist if sj==0

// table checks
table distgrp sj
table distgrp, c(min distcity max distcity mean difflog freq)

// to get SEs: run regression with clustering variable, import into vector
mat SEs=J(7,1,-1) /* 8X1 vector with default -1 */
mat l SEs

*need to create version if distgrp that runs from 1-7 to use factor variables
egen dums=group(distgrp)
table dums, c(min distgrp max distgrp) /* check if in order */
*run regression (ibn includes all dummies in factor variable)
reg difflog ibn.dums, cluster(chainid) nocons

forvalues n=1/7 {
mat SEs[`n',1]=_se[`n'.dums]
} /* end loop over dummie SEs */

mat l SEs

// get OLS fits of relationship between citydist and difflog
reg difflog distcity if sj==0, robust
local distcitycons0=_b[_cons]
local distcitybeta0=_b[distcity]

reg difflog distcity if sj==1, robust
local distcitycons1=_b[_cons]
local distcitybeta1=_b[distcity]


// for the graph, distance to the city border will be negative outside of SJ
gen distcitygraph = distcity
replace distcitygraph = -1*distcity if sj==0
label var distcitygraph "Distance to SJ border (mi), negative if SJ==0"

sum distcity distcitygraph if sj==1
sum distcity distcitygraph if sj==0

// make graphs
collapse (mean) meanX=distcitygraph (min) minX=distcitygraph (max) maxX=distcitygraph (mean) difflog, by(distgrp)
l

** insert SEs
gen se=.
forvalues n=1/7 {
replace se=SEs[`n',1] in `n'
} /* end loop over SE values */

** make CI bars at 90 percent CI
gen hi=difflog+1.645*se
gen lo=difflog-1.645*se

** round meanX for display
gen rounded=round(meanX,0.1)

l


sum hi
local max=r(max)
sum lo
local min=r(min)

sum meanX
local xmin=r(min)
local xmax=r(max)

tw scatter difflog rounded, mcolor(dknavy) ///
|| rcap hi lo rounded, mcolor(dknavy) lcolor(dknavy) ///
|| function y=`distcitycons0'+`distcitybeta0'*x, range(`xmin' 0) lcolor(orange) lwidth(*3) ///
|| function y=`distcitycons1'+`distcitybeta1'*x, range(0 `xmax') lcolor(blue) lwidth(*3) ///
|| function y=0, horizontal range(`min' `max') lcolor(black) lpattern(dash) ///
	xtitle("Distance to SJ border (mi)") ytitle("Change in log(price)") ///
	legend(label(1 "Change in log(price)") label(2 "90% CI") label(3 "OLS fit, Outside-SJ") label(4 "OLS fit, San Jose")) ///
	legend(order(1 2 3 4))
cd "`graphdir'"
graph export "Figure4.eps", replace


	
